efl::text Struct Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
efl::text Struct Reference

Class text. More...

## Public Member Functions
| text (Eo *eo)
| Eo Constructor. More...
| text (std::nullptr_t)
| nullptr_t Constructor. More...
| text (text const &other)
| Copy Constructor.
::efl::eina::string_view | text_get () const
| Retrieves the text string currently being displayed by the given text object. More...
void | text_set (::efl::eina::string_view text_) const
| Sets the text string to be displayed by the given text object. More...
| text (::efl::eo::parent_type _p)
| Constructs a new efl::text object. More...
Public Member Functions inherited from efl::eo::concrete
| concrete (Eo *eo)
| Class constructor. More...
| concrete ()
| Default constructor. More...
| ~concrete ()
| Class destructor.
| concrete (concrete const &other)
| concrete (concrete &&other)
concrete & | operator= (concrete const &other)
| Assignment operator.
concrete & | operator= (concrete &&other)
Eo * | _eo_ptr () const
| Return a pointer to the EO Object stored in this instance. More...
Eo * | _release ()
| Releases the reference from this concrete object and return the pointer to the EO Object stored in this instance. More...
void | _reset (Eo *_ptr=nullptr)
| Reset the current pointer to reference a new Eo object.
int | ref_get () const
| Get the reference count of this object. More...
void | parent_set (concrete parent)
| Set the parent of this object. More...
eina::optional< concrete > | parent_get ()
| Get the parent of this object. More...
Eo_Dbg_Info | dbg_info_get ()
| Get debug information of this object. More...
| operator bool () const

## Static Public Member Functions
static Eo_Class const * | _eo_class ()

## Additional Inherited Members
Protected Attributes inherited from efl::eo::concrete
Eo * | _eo_raw
| The opaque EO Object.

## Detailed Description

Class text.

## Constructor & Destructor Documentation

efl::text::text | ( | ::efl::eo::parent_type | _p | ) |
| inlineexplicit

Constructs a new efl::text object.

Constructs a new efl::text object. If you want this object to be a child of another Eo object, use an efl::eo::parent expression, like the example.

Example:

efl::text my_text(efl::eo::parent = parent_object);

See also
  text(Eo* eo)

efl::text::text | ( | Eo * | eo | ) |
| inlineexplicit

Eo Constructor.

Constructs the object from an Eo* pointer stealing its ownership.

Parameters

  eo | The Eo object pointer.

efl::text::text | ( | std::nullptr_t |  | ) |
| inlineexplicit

nullptr_t Constructor.

Constructs an empty (null) object.

## Member Function Documentation

::efl::eina::string_view efl::text::text_get | ( |  | ) | const

Retrieves the text string currently being displayed by the given text object.

Returns
  The text string currently being displayed on it.

Note
  Do not free() the return value.

See also
  evas_object_text_text_set()

Parameters

  text | Text string to display on it.

void efl::text::text_set | ( | ::efl::eina::string_view | text_ | ) | const

Sets the text string to be displayed by the given text object.

See also
  evas_object_text_text_get()

Parameters

  text | Text string to display on it.